Package docking.action

# Class ToolBarData

java.lang.Object
docking.action.ToolBarData

public class ToolBarData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToolBarData(Icon icon)`
  `ToolBarData(Icon icon, String toolBarGroup)`
  `ToolBarData(Icon icon, String toolBarGroup, String toolBarSubGroup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Icon`
  `getIcon()`
  Returns the toolbar icon assigned to this toolbar data.
  `String`
  `getToolBarGroup()`
  Returns the group of this toolbar data.
  `String`
  `getToolBarSubGroup()`
  Returns the subgroup string.
  `void`
  `setIcon(Icon newIcon)`
  `void`
  `setToolBarGroup(String newGroup)`
  `void`
  `setToolBarSubGroup(String newSubGroup)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ToolBarData

    public ToolBarData(Icon icon)

  - ### ToolBarData

    public ToolBarData(Icon icon, String toolBarGroup)

  - ### ToolBarData

    public ToolBarData(Icon icon, String toolBarGroup, String toolBarSubGroup)

- ## Method Details

  - ### getIcon

    public Icon getIcon()
    Returns the toolbar icon assigned to this toolbar data.
    Returns:
      the icon

  - ### getToolBarGroup

    public String getToolBarGroup()
    Returns the group of this toolbar data. Actions belonging to the same group will appear next to each other.
    Returns:
      the group

  - ### getToolBarSubGroup

    public String getToolBarSubGroup()
    Returns the subgroup string. This string is used to sort items within a `toolbar group`. This value is not required. If not specified, then the value will effectively place this item at the end of its specified group.
    Returns:
      the subgroup

  - ### setIcon

    public void setIcon(Icon newIcon)

  - ### setToolBarGroup

    public void setToolBarGroup(String newGroup)

  - ### setToolBarSubGroup

    public void setToolBarSubGroup(String newSubGroup)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`